Removes a ban that prevents a specific user from contributing to a live chat, thereby enabling the user to rejoin the chat. The API request must be authorized by the channel owner or a moderator of the live chat associated with the ban.

## Common use cases

<iframe src="https://developers.devsite.google/frame/youtube/data/live/reference/rest/v3/liveChatBans/delete_4d5adb4b4e3731462967a466f7e3b832afd5c96dc373d54fcdc0b174dec10d8b.frame" class="framebox inherit-locale " allow="clipboard-write https://developers.devsite.google" allowfullscreen is-upgraded></iframe>

## Request

### HTTP request

```
DELETE https://www.googleapis.com/youtube/v3/liveChat/bans
```

### Authorization

This request requires authorization with at least one of the following scopes. To read more
about authentication and authorization, see [Implementing OAuth 2.0 authentication](https://developers.google.com/youtube/data/live/authentication.md.txt).

| Scope |
|---|
| `https://www.googleapis.com/auth/youtube` |
| `https://www.googleapis.com/auth/youtube.force-ssl` |

### Parameters

The following table lists the parameters that this query supports. All of the parameters listed are query parameters.

| Parameters ||
|---|---|---|
| **Required parameters** |||
| `id` | `string` The `id` parameter identifies the chat ban to remove. The value uniquely identifies both the ban and the chat. |

### Request body

Do not provide a request body when calling this method.

## Response

If successful, this method returns an HTTP `204 No Content` status code.

## Errors

The following table identifies error messages that the API could return in response to a call to
this method. For more details, see [error message](https://developers.google.com/youtube/data/live/reference/rest/v3/errors.md.txt).

| Error type | Error detail | Description |
|---|---|---|
| `forbidden (403)` | `forbidden` | The specified ban cannot be removed. This error can occur if the request is authorized by one moderator who is attempting to remove a ban on another moderator. |
| `forbidden (403)` | `insufficientPermissions` | You do not have the necessary permissions to remove the specified ban. |
| `invalidValue (400)` | `invalidLiveChatBanId` | The `id` parameter specifies an invalid value. |
| `notFound (404)` | `liveChatBanNotFound` | The specified ban cannot be found. |

## Try it!

Use the APIs Explorer to call this API and see the API request and response.